'use client';
import React, { createContext, useContext } from 'react';
const Context = /*#__PURE__*/ createContext({
    isCollapsed: undefined,
    isVisible: undefined,
    isWithinCollapsible: undefined,
    toggle: ()=>{}
});
export const CollapsibleProvider = ({ children, isCollapsed, isWithinCollapsible = true, toggle })=>{
    const { isCollapsed: parentIsCollapsed, isVisible } = useCollapsible();
    const contextValue = React.useMemo(()=>{
        return {
            isCollapsed,
            isVisible: isVisible && !parentIsCollapsed,
            isWithinCollapsible,
            toggle
        };
    }, [
        isCollapsed,
        isWithinCollapsible,
        toggle,
        parentIsCollapsed,
        isVisible
    ]);
    return /*#__PURE__*/ React.createElement(Context.Provider, {
        value: contextValue
    }, children);
};
export const useCollapsible = ()=>useContext(Context);

//# sourceMappingURL=provider.js.map