import React from 'react';
import { Logout } from '../Logout/index.js';
import { NavHamburger } from './NavHamburger/index.js';
import { NavWrapper } from './NavWrapper/index.js';
const baseClass = 'nav';
import { DefaultNavClient } from './index.client.js';
export const DefaultNav = (props)=>{
    const { config } = props;
    if (!config) {
        return null;
    }
    const { admin: { components: { afterNavLinks, beforeNavLinks } } } = config;
    return /*#__PURE__*/ React.createElement(NavWrapper, {
        baseClass: baseClass
    }, /*#__PURE__*/ React.createElement("nav", {
        className: `${baseClass}__wrap`
    }, Array.isArray(beforeNavLinks) && beforeNavLinks.map((Component, i)=>/*#__PURE__*/ React.createElement(Component, {
            key: i
        })), /*#__PURE__*/ React.createElement(DefaultNavClient, null), Array.isArray(afterNavLinks) && afterNavLinks.map((Component, i)=>/*#__PURE__*/ React.createElement(Component, {
            key: i
        })), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__controls`
    }, /*#__PURE__*/ React.createElement(Logout, null))), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__header`
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__header-content`
    }, /*#__PURE__*/ React.createElement(NavHamburger, {
        baseClass: baseClass
    }))));
};

//# sourceMappingURL=index.js.map