'use client';
// TODO: abstract the `next/navigation` dependency out from this component
import { collectionDefaults } from 'payload/config';
import { isNumber } from 'payload/utilities';
import React from 'react';
import { Chevron } from '../../icons/Chevron/index.js';
import { useTranslation } from '../../providers/Translation/index.js';
import { Popup, PopupList } from '../Popup/index.js';
const baseClass = 'per-page';
const defaultLimits = collectionDefaults.admin.pagination.limits;
export const PerPage = ({ defaultLimit = 10, handleChange, limit, limits = defaultLimits })=>{
    const { t } = useTranslation();
    const limitToUse = isNumber(limit) ? limit : defaultLimit;
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement(Popup, {
        button: /*#__PURE__*/ React.createElement("div", {
            className: `${baseClass}__base-button`
        }, /*#__PURE__*/ React.createElement("span", null, t('general:perPage', {
            limit: limitToUse
        })), " ", /*#__PURE__*/ React.createElement(Chevron, {
            className: `${baseClass}__icon`
        })),
        horizontalAlign: "right",
        render: ({ close })=>/*#__PURE__*/ React.createElement(PopupList.ButtonGroup, null, limits.map((limitNumber, i)=>/*#__PURE__*/ React.createElement(PopupList.Button, {
                    className: [
                        `${baseClass}__button`,
                        limitNumber === limitToUse && `${baseClass}__button-active`
                    ].filter(Boolean).join(' '),
                    key: i,
                    onClick: ()=>{
                        close();
                        if (handleChange) handleChange(limitNumber);
                    }
                }, limitNumber === limitToUse && /*#__PURE__*/ React.createElement("div", {
                    className: `${baseClass}__chevron`
                }, /*#__PURE__*/ React.createElement(Chevron, {
                    direction: "right"
                })), " ", /*#__PURE__*/ React.createElement("span", null, limitNumber)))),
        size: "small"
    }));
};

//# sourceMappingURL=index.js.map