'use client';
import React from 'react';
const baseClass = 'thumbnail';
import { File } from '../../graphics/File/index.js';
import { ShimmerEffect } from '../ShimmerEffect/index.js';
const ThumbnailContext = /*#__PURE__*/ React.createContext({
    className: '',
    filename: '',
    size: 'medium',
    src: ''
});
export const useThumbnailContext = ()=>React.useContext(ThumbnailContext);
export const Thumbnail = (props)=>{
    const { className = '', doc: { filename } = {}, fileSrc, size } = props;
    const [fileExists, setFileExists] = React.useState(undefined);
    const classNames = [
        baseClass,
        `${baseClass}--size-${size || 'medium'}`,
        className
    ].join(' ');
    React.useEffect(()=>{
        if (!fileSrc) {
            setFileExists(false);
            return;
        }
        const img = new Image();
        img.src = fileSrc;
        img.onload = ()=>{
            setFileExists(true);
        };
        img.onerror = ()=>{
            setFileExists(false);
        };
    }, [
        fileSrc
    ]);
    return /*#__PURE__*/ React.createElement("div", {
        className: classNames
    }, fileExists === undefined && /*#__PURE__*/ React.createElement(ShimmerEffect, {
        height: "100%"
    }), fileExists && /*#__PURE__*/ React.createElement("img", {
        alt: filename,
        src: fileSrc
    }), fileExists === false && /*#__PURE__*/ React.createElement(File, null));
};

//# sourceMappingURL=index.js.map