import React from 'react';
import { useConfig } from '../../providers/Config/index.js';
import { useTranslation } from '../../providers/Translation/index.js';
import { formatDocTitle } from '../../utilities/formatDocTitle.js';
const baseClass = 'thumbnail-card';
export const ThumbnailCard = (props)=>{
    const { alignLabel, className, collection, doc, label: labelFromProps, onClick, thumbnail } = props;
    const config = useConfig();
    const { i18n } = useTranslation();
    const classes = [
        baseClass,
        className,
        typeof onClick === 'function' && `${baseClass}--has-on-click`,
        alignLabel && `${baseClass}--align-label-${alignLabel}`
    ].filter(Boolean).join(' ');
    let title = labelFromProps;
    if (!title) {
        title = formatDocTitle({
            collectionConfig: collection,
            data: doc,
            dateFormat: config.admin.dateFormat,
            fallback: doc?.filename,
            i18n
        });
    }
    return /*#__PURE__*/ React.createElement("button", {
        className: classes,
        onClick: onClick,
        title: title,
        type: "button"
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__thumbnail`
    }, thumbnail), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__label`
    }, title));
};

//# sourceMappingURL=index.js.map