'use client';
import { getTranslation } from '@payloadcms/translations';
import { FieldDescription } from '@payloadcms/ui/forms/FieldDescription';
import { FieldError } from '@payloadcms/ui/forms/FieldError';
import { FieldLabel } from '@payloadcms/ui/forms/FieldLabel';
import React from 'react';
import { useTranslation } from '../../providers/Translation/index.js';
import { fieldBaseClass } from '../shared/index.js';
export const TextareaInput = (props)=>{
    const { AfterInput, BeforeInput, CustomDescription, CustomError, CustomLabel, className, descriptionProps, errorProps, label, labelProps, onChange, path, placeholder, readOnly, required, rows, rtl, showError, style, value, width } = props;
    const { i18n } = useTranslation();
    return /*#__PURE__*/ React.createElement("div", {
        className: [
            fieldBaseClass,
            'textarea',
            className,
            showError && 'error',
            readOnly && 'read-only'
        ].filter(Boolean).join(' '),
        style: {
            ...style,
            width
        }
    }, /*#__PURE__*/ React.createElement(FieldError, {
        CustomError: CustomError,
        path: path,
        ...errorProps || {}
    }), /*#__PURE__*/ React.createElement(FieldLabel, {
        CustomLabel: CustomLabel,
        label: label,
        required: required,
        ...labelProps || {}
    }), BeforeInput, /*#__PURE__*/ React.createElement("label", {
        className: "textarea-outer",
        htmlFor: `field-${path.replace(/\./g, '__')}`
    }, /*#__PURE__*/ React.createElement("div", {
        className: "textarea-inner"
    }, /*#__PURE__*/ React.createElement("div", {
        className: "textarea-clone",
        "data-value": value || placeholder || ''
    }), /*#__PURE__*/ React.createElement("textarea", {
        className: "textarea-element",
        "data-rtl": rtl,
        disabled: readOnly,
        id: `field-${path.replace(/\./g, '__')}`,
        name: path,
        onChange: onChange,
        placeholder: getTranslation(placeholder, i18n),
        rows: rows,
        value: value || ''
    }))), AfterInput, CustomDescription !== undefined ? CustomDescription : /*#__PURE__*/ React.createElement(FieldDescription, descriptionProps || {}));
};

//# sourceMappingURL=Input.js.map