'use client';
import { getTranslation } from '@payloadcms/translations';
import React from 'react';
import { useTranslation } from '../../providers/Translation/index.js';
import { useFieldProps } from '../FieldPropsProvider/index.js';
const baseClass = 'field-description';
const DefaultFieldDescription = (props)=>{
    const { className, description, marginPlacement } = props;
    const { path } = useFieldProps();
    const { i18n } = useTranslation();
    if (description) {
        return /*#__PURE__*/ React.createElement("div", {
            className: [
                baseClass,
                className,
                `field-description-${path.replace(/\./g, '__')}`,
                marginPlacement && `${baseClass}--margin-${marginPlacement}`
            ].filter(Boolean).join(' ')
        }, getTranslation(description, i18n));
    }
    return null;
};
export const FieldDescription = (props)=>{
    const { CustomDescription } = props;
    if (CustomDescription !== undefined) {
        return CustomDescription;
    }
    return /*#__PURE__*/ React.createElement(DefaultFieldDescription, props);
};

//# sourceMappingURL=index.js.map