import type { FieldTypes } from 'payload/config';
import type { FieldPermissions } from 'payload/types';
import React from 'react';
export type FieldPropsContextType = {
    indexPath?: string;
    path: string;
    permissions?: FieldPermissions;
    readOnly: boolean;
    schemaPath: string;
    siblingPermissions: {
        [fieldName: string]: FieldPermissions;
    };
    type: keyof FieldTypes;
};
export type Props = {
    children: React.ReactNode;
    indexPath?: string;
    path: string;
    permissions?: FieldPermissions;
    readOnly: boolean;
    schemaPath: string;
    siblingPermissions: {
        [fieldName: string]: FieldPermissions;
    };
    type: keyof FieldTypes;
};
export declare const FieldPropsProvider: React.FC<Props>;
export declare const useFieldProps: () => FieldPropsContextType;
//# sourceMappingURL=index.d.ts.map