import { getTranslation } from '@payloadcms/translations';
import React from 'react';
import { RowLabelProvider } from '../RowLabel/Context/index.js';
const baseClass = 'row-label';
export const RowLabel = (props)=>{
    const { RowLabelComponent, className, i18n, path, rowLabel, rowNumber } = props;
    if (RowLabelComponent) {
        return /*#__PURE__*/ React.createElement(RowLabelProvider, {
            path: path,
            rowNumber: rowNumber
        }, RowLabelComponent);
    }
    const label = rowLabel ? typeof rowLabel === 'object' ? getTranslation(rowLabel, i18n) : typeof rowLabel === 'string' ? rowLabel : '' : '';
    return /*#__PURE__*/ React.createElement("span", {
        className: [
            baseClass,
            className
        ].filter(Boolean).join(' '),
        style: {
            pointerEvents: 'none'
        }
    }, label);
};

//# sourceMappingURL=index.js.map