import { ViewDescription } from '@payloadcms/ui/elements/ViewDescription';
import { isPlainFunction, isReactComponent } from 'payload/utilities';
import React from 'react';
import { mapActions } from './actions.js';
import { mapFields } from './fields.js';
export const mapGlobals = ({ DefaultEditView, config, globals, i18n, readOnly: readOnlyOverride })=>globals.reduce((acc, globalConfig)=>{
        const { slug, fields } = globalConfig;
        const editViewFromConfig = globalConfig?.admin?.components?.views?.Edit;
        const SaveButton = globalConfig?.admin?.components?.elements?.SaveButton;
        const SaveButtonComponent = SaveButton ? /*#__PURE__*/ React.createElement(SaveButton, null) : undefined;
        const SaveDraftButton = globalConfig?.admin?.components?.elements?.SaveDraftButton;
        const SaveDraftButtonComponent = SaveDraftButton ? /*#__PURE__*/ React.createElement(SaveDraftButton, null) : undefined;
        const PreviewButton = globalConfig?.admin?.components?.elements?.PreviewButton;
        const PreviewButtonComponent = PreviewButton ? /*#__PURE__*/ React.createElement(PreviewButton, null) : undefined;
        const PublishButton = globalConfig?.admin?.components?.elements?.PublishButton;
        const PublishButtonComponent = PublishButton ? /*#__PURE__*/ React.createElement(PublishButton, null) : undefined;
        const CustomEditView = typeof editViewFromConfig === 'function' ? editViewFromConfig : typeof editViewFromConfig === 'object' && typeof editViewFromConfig.Default === 'function' ? editViewFromConfig.Default : typeof editViewFromConfig?.Default === 'object' && 'Component' in editViewFromConfig.Default && typeof editViewFromConfig.Default.Component === 'function' ? editViewFromConfig.Default.Component : undefined;
        const Edit = CustomEditView || DefaultEditView;
        const descriptionProps = {
            description: globalConfig.admin && 'description' in globalConfig.admin && ((typeof globalConfig.admin?.description === 'string' || typeof globalConfig.admin?.description === 'object') && globalConfig.admin.description || typeof globalConfig.admin?.description === 'function' && isPlainFunction(globalConfig.admin?.description) && globalConfig.admin?.description()) || undefined
        };
        const DescriptionComponent = globalConfig.admin && 'description' in globalConfig.admin && (isReactComponent(globalConfig.admin.description) && globalConfig.admin.description || globalConfig.admin.description && ViewDescription) || undefined;
        const Description = DescriptionComponent !== undefined ? /*#__PURE__*/ React.createElement(DescriptionComponent, descriptionProps || {}) : undefined;
        const componentMap = {
            Description,
            Edit: /*#__PURE__*/ React.createElement(Edit, {
                globalSlug: globalConfig.slug
            }),
            PreviewButton: PreviewButtonComponent,
            PublishButton: PublishButtonComponent,
            SaveButton: SaveButtonComponent,
            SaveDraftButton: SaveDraftButtonComponent,
            actionsMap: mapActions({
                globalConfig
            }),
            fieldMap: mapFields({
                config,
                fieldSchema: fields,
                i18n,
                readOnly: readOnlyOverride
            }),
            isPreviewEnabled: !!globalConfig?.admin?.preview
        };
        return {
            ...acc,
            [slug]: componentMap
        };
    }, {});

//# sourceMappingURL=globals.js.map