'use client';
import React, { createContext, useCallback, useContext } from 'react';
export const EntityVisibilityContext = /*#__PURE__*/ createContext({});
export const EntityVisibilityProvider = ({ children, visibleEntities })=>{
    const isEntityVisible = useCallback(({ collectionSlug, globalSlug })=>{
        if (collectionSlug) {
            return visibleEntities.collections.includes(collectionSlug);
        }
        if (globalSlug) {
            return visibleEntities.globals.includes(globalSlug);
        }
        return false;
    }, [
        visibleEntities
    ]);
    return /*#__PURE__*/ React.createElement(EntityVisibilityContext.Provider, {
        value: {
            isEntityVisible,
            visibleEntities
        }
    }, children);
};
export const useEntityVisibility = ()=>useContext(EntityVisibilityContext);

//# sourceMappingURL=index.js.map