import type { PaginatedDocs } from 'payload/database';
import type { Where } from 'payload/types';
import React from 'react';
import type { Column } from '../../elements/Table/index.js';
export type ColumnPreferences = Pick<Column, 'accessor' | 'active'>[];
type Handlers = {
    handlePageChange?: (page: number) => void;
    handlePerPageChange?: (limit: number) => void;
    handleSearchChange?: (search: string) => void;
    handleSortChange?: (sort: string) => void;
    handleWhereChange?: (where: Where) => void;
};
export type ListQueryProps = {
    children: React.ReactNode;
    data: PaginatedDocs;
    defaultLimit?: number;
    defaultSort?: string;
    modifySearchParams?: boolean;
    preferenceKey?: string;
} & Handlers;
export type ListQueryContext = Handlers & {
    data: PaginatedDocs;
    defaultLimit?: number;
    defaultSort?: string;
};
export declare const useListQuery: () => ListQueryContext;
export declare const ListQueryProvider: React.FC<ListQueryProps>;
export {};
//# sourceMappingURL=index.d.ts.map